<!DOCTYPE html>
{% extends 'en/base.html' %}
{% block content %}
    {% include 'en/navbar.html' %}
    <div class="container">
        <div class="row">
            <div class="col">
 		<h4> Shap report for target <strong>{{target}}</strong> </h4>
                <p> Evaluated the model  <strong>{{name}} </strong> for the features: </p><p>
   		{% for p  in predictors %}
 			<span class="badge bg-primary"> {{p}} </span>
		{% endfor %}
			</p>
                <p>
                 {{stat_rep | safe}}
		</p>
                {% if use_shap %}
                <p> Computed SHAP values for the model. Average values for  <strong>class 0 = {{shap_expected_values[0]}}</strong> and for 
		<strong> class 1 = {{shap_expected_values[1]}} </strong>
		 </p> 
                
		<p>Shap summary  </p>
		<p>
                <img class="img-fluid" src="data:image/png;base64,{{pdp}}"/>
		</p>
		<p>
                <img class="img-fluid" src="data:image/png;base64,{{beeswarm}}"/>
		</p>
		<p>
                <img class="img-fluid" src="data:image/png;base64,{{bar_cohort}}"/>
		</p>
		<p>
                <img class="img-fluid" src="data:image/png;base64,{{bar_cluster}}"/>
		</p>
		<p>
   		{% for sp  in sdp %}
                 <img class="img-fluid" src="data:image/png;base64,{{sp}}"/>
		{% endfor %}
                </p>
		<p>
		
                {{force_all | safe}}
		</p>
          {#
   		{% for f  in force %}
		<p>
                {{f | safe}}
		</p>
		{% endfor %} 
                 #}
                {%endif%}
                <p>
		<form action="{{url_for('show_shap_samples',id=id, model_id=model_id)}}" method="GET">
 	        {#<a class="btn btn-primary" href="{{url_for('show_shap_samples',id=id, model_id=model_id, max_range=max_range)}}" role="button">Show individual details</a>#} 
 	        <input type="submit" class="btn btn-primary" value="Show individual details" role="button"> 
		Limit the number of samples shown: <input type="range" min="1" max="{{max_range}}" value="50" class="slider" id="sampleRange" name="max_range">
		</form>
		</p><p>
 	        <a class="btn btn-primary" href="{{url_for('reevaluate_classifiers',id=id, model_id=model_id)}}" role="button">Evaluate classifiers again</a>
		</p>
            </div>
        </div>  
    </div>
{% endblock %}

